Page MenuHomePhabricator

Kill Wikidata infobox in alpha
Closed, ResolvedPublic

Description

AC

  • The Wikidata infobox is disabled in alpha
  • A Git tag is created to archive the current state of the master branch, e.g. archive/wikidata-infobox for easy resurrection

Get rid of the Wikidata infobox code in MobileFrontend (but see T100717).

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterAnother follow up to killing infoboxes
mediawiki/extensions/MobileFrontend : masterRe-enable on-wiki infoboxes
mediawiki/extensions/MobileFrontend : masterKill infobox feature

Event Timeline

kaldari created this task.May 28 2015, 11:32 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Readers-Web-Backlog.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 11:32 PM
Jdlrobson added a subscriber: Jdlrobson.

Sad times :-/ I'd love to continue this in some other form as I think this is how infoboxes should be done in future and with all the time we are wasting on trying to move infoboxes to the bottom / style them nicely for mobile the only real future proof way to do this is to construct them from Wikidata. Maybe we can put it into Joaquin's web app and explore this in some way in apps (cc @bgerstle) ?

phuedx added a subscriber: phuedx.May 29 2015, 7:46 AM

@Jdlrobson: A Wikidata infobox service might be an interesting service to build.

@Jdlrobson I've suggested in the blocked task moving it to beta and feature-flagging it so that we can enable it only on beta-labs or any other wikis where we want to demo/pitch it. We don't have to kill the code, we can just hide it after a default false flag, and enable it on the wikis where we could demo it and show it.

I still think this would be an interesting thing to show on Wikimania for example.

Hey :)
If we move forward with automatic infoboxes I'd like to be closely involved in feature definition and communication to make sure it doesn't blow up in our face.

@JKatzWMF this feature also has wikidata description editing. Is that something we also want to disentangle along with the commons category gallery?

@phuedx an api for serving data of an infobox is definitely something we should set up. It would also be a good opportunity for me to grok how this stuff works.

phuedx updated the task description. (Show Details)Jul 8 2015, 2:30 PM
Jhernandez triaged this task as Medium priority.Jul 9 2015, 4:33 PM
Jhernandez removed a project: Readers-Web-Backlog.

Change 231192 had a related patch set uploaded (by Jdlrobson):
Kill infobox feature

https://gerrit.wikimedia.org/r/231192

kaldari removed a subscriber: kaldari.Aug 13 2015, 12:00 AM

almost done, creating a git tag should wrap this task up

Change 231192 merged by jenkins-bot:
Kill infobox feature

https://gerrit.wikimedia.org/r/231192

Change 231198 had a related patch set uploaded (by Florianschmidtwelzow):
Re-enable on-wiki infoboxes

https://gerrit.wikimedia.org/r/231198

Change 231290 had a related patch set uploaded (by Jdlrobson):
Another follow up to killing infoboxes

https://gerrit.wikimedia.org/r/231290

Change 231198 abandoned by Florianschmidtwelzow:
Re-enable on-wiki infoboxes

Reason:
covered in If90c0d2e86061597378a9d5c21e9f82ab09c13e3

https://gerrit.wikimedia.org/r/231198

Change 231290 merged by jenkins-bot:
Another follow up to killing infoboxes

https://gerrit.wikimedia.org/r/231290

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 13 2015, 8:51 PM

Sad day. @Jdlrobson how would you feel about documenting the feature on a wiki page? Maybe under Reading/Web/Experiments or something like that? With a few screenshots and links to the tag in the repo?

Jhernandez closed this task as Resolved.Aug 14 2015, 10:13 AM
Jhernandez claimed this task.

@Jhernandez: Could we add those tasks to all "Remove $feature" tasks in future? They're as important, if not more important, than the patch.

@phuedx documenting such removed feature? I'm all up for that. Should we do this retroactively and list removed features and document them?

@Jhernandez: Sure. How far back do you want to go?

@phuedx I guess last part of Q4 and this Q. I don't think there's many
things killed, we've mostly been moving stuff from alpha to beta, right?

Where should these live?
I've reincarnated this as a gadget:
importScript('User:Jdlrobson/wikidataInfobox.js');

@phuedx @Jdlrobson I've created https://www.mediawiki.org/wiki/Reading/Web/2015_Q1_Feature_stabilization and filled it in with the features I could find looking around. I'm probably missing a ton of them, any help appreciated.

I also created a couple of pages for experiments, but stopped, I'd like to continue filling those experiments pages. Red links are set up and ready to be filled :p.

@Jdlrobson see https://www.mediawiki.org/wiki/Reading/Web/Experiments/MobileFrontend_Wikidata_Infobox, it would be great if you could fill it up better, link to the gadget and put some screenshot there.